local _, addonTable = ...

addonTable.default = {
    shape = "scritchPop",
    color = "Blue",
    point = "CENTER",
    relativePoint = "CENTER",
    position_x = 0,
    position_y = 0,
    step_index = 1,
    gap = -2,
    scale = 0.65,
    popping = true,
    popSpeed = 0.25,
    movable = true
}

---------------------------------------------------------------------------
addonTable.getConfig = function()
    if not ScritchPopConfig then
        ScritchPopConfig = CopyTable(addonTable.default)
    end
    return ScritchPopConfig
end

function restoreDefaults()
    ScritchPopConfig = CopyTable(addonTable.default)
end

function getPop()
    local config = addonTable.getConfig()
    local state = addonTable.blinkState and "open" or "close"
    local path = "Interface\\AddOns\\ScritchPop\\pops\\" .. config.shape .. "\\" .. state .. config.color
    return path
end

function getEmpty()
    local config = addonTable.getConfig()
    local path = "Interface\\AddOns\\ScritchPop\\pops\\" .. config.shape .. "\\empty"
    return path
end

